Skip to main content
PUT
https://prod-api.raisedonors.com
/
api
/
CustomField
/
{id}
Update a Custom Field
curl --request PUT \
  --url https://prod-api.raisedonors.com/api/CustomField/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "displayName": "<string>",
  "isEnabled": true,
  "required": true,
  "rank": 123,
  "canSync": true,
  "listValues": [
    {
      "id": 123,
      "value": "<string>",
      "active": true,
      "rank": 123
    }
  ]
}
'
{
  "id": 123,
  "customCollectionId": 123,
  "name": "<string>",
  "displayName": "<string>",
  "entityTypeDisplayName": "<string>",
  "dataTypeDisplayName": "<string>",
  "isEnabled": true,
  "canSync": true,
  "listValues": [
    {
      "id": 123,
      "value": "<string>",
      "active": true,
      "rank": 123
    }
  ],
  "rank": 123,
  "required": true
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

id
integer<int64>
required

The ID of the custom field.

Body

The custom field request model.

Custom field request model.

name
string
required

Gets or sets the name.

Required string length: 1 - 100
entityType
enum<integer>
required

Gets or sets the entity type.

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15
dataType
enum<integer>
required

Gets or sets the data type.

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8
displayName
string | null

Gets or sets the display name.

Maximum string length: 300
isEnabled
boolean

Gets or sets a value indicating whether this instance is enabled.

required
boolean

Gets or sets a value indicating whether this instance is required.

rank
number<double> | null

Gets or sets the rank.

canSync
boolean

Gets or sets a value indicating whether this instance can synchronize.

formatter
enum<integer>

Gets or sets the formatter.

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9
listValues
object[] | null

Gets or sets the list values.

Response

OK

Custom field model.

id
integer<int64>

Gets or sets the identifier.

customCollectionId
integer<int64> | null

Gets or sets the custom collection identifier.

name
string | null

Gets or sets the name.

displayName
string | null

Gets or sets the display name.

entityType
enum<integer>

Gets or sets the entity type.

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15
entityTypeDisplayName
string | null

Gets or sets the entity type display name.

dataType
enum<integer>

Gets or sets the data type.

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8
dataTypeDisplayName
string | null

Gets or sets the data type display name.

isEnabled
boolean

Gets or sets a value indicating whether this instance is enabled.

canSync
boolean

Gets or sets a value indicating whether this instance is required.

formatter
enum<integer>

Gets or sets the formatter.

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9
listValues
object[] | null

Gets or sets the list values.

rank
number<double> | null

Gets or sets the rank of the custom field.

required
boolean

Gets or sets a value indicating whether this custom field is required.

Last modified on June 5, 2026